First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 141552
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Steve Arnold <nerdboy@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Alexander Skwar <askwar@digitalprojects.com>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 141552 depends on: Show dependency tree
Bug 141552 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-07-24 00:33 0000
I'm unable to compile doxygen-1.4.7:

QA Notice: USE Flag 'qt' not in IUSE for app-doc/doxygen-1.4.7
 * using QTDIR: '/usr/qt/3'.
 * using QT LIBRARY_PATH: '/usr/qt/3/lib:'.
 * using QT LD_LIBRARY_PATH: '/usr/qt/3/lib:'.
QA Notice: USE Flag 'qt' not in IUSE for app-doc/doxygen-1.4.7
  Autodetected platform linux-g++...
  Detected Qt via the QTDIR environment variable...
                    QTDIR is set to /usr/qt/3, but library directory
/usr/qt/3/lib does not exist!

(chroot2) dewup-ww02 / # LC_ALL=C ls -lad /usr/qt/3 /usr/qt/3/lib
ls: /usr/qt/3: No such file or directory
ls: /usr/qt/3/lib: No such file or directory

(chroot2) dewup-ww02 / # LC_ALL=C ls -lad /var/db/pkg/*/*qt*
ls: /var/db/pkg/*/*qt*: No such file or directory

(chroot2) dewup-ww02 / # emerge -vpt doxygen

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N    ] app-doc/doxygen-1.4.7  USE="-doc -qt3 -tetex" 0 kB

Total size of downloads: 0 kB

Why is qt3 being used, although I've set USE=-qt3?

Notice the following:

QA Notice: USE Flag 'qt' not in IUSE for app-doc/doxygen-1.4.7

Because of that, I now did

  USE="-qt -qt3" emerge doxygen

This allowed me to compile doxygen just fine.

(chroot2) dewup-ww02 / # emerge --info
Portage 2.1.1_pre3-r1 (default-linux/x86/2006.0, gcc-4.1.1/vanilla,
glibc-2.4-r3, 2.6.17-gentoo-r3.05 i686)
=================================================================
System uname: 2.6.17-gentoo-r3.05 i686 Intel(R) Xeon(TM) CPU 2.40GHz
Gentoo Base System version 1.12.1
ccache version 2.4 [enabled]
app-admin/eselect-compiler: 2.0.0_rc2-r1
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r2
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 2.0.0_rc1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb
/usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/eselect/compiler /etc/gconf
/etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/Gentoo/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical"
FEATURES="autoconfig buildpkg ccache collision-protect distlocks
metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="         http://localhost/~vz6tml/gentoo-files
http://dewup-ww02.dewup.europe.delphiauto.net/~vz6tml/gentoo-files        
http://localhost/gentoo-files/
http://dewup-ww02.dewup.europe.delphiauto.net/gentoo-files/        
http://localhost/~vz6tml/gentoo-files/
http://cifs-srvr1.europe.delphiauto.net/~vz6tml/Misc._Software/Gentoo/         
http://alexander.skwar.name/~askwar/stuff/gentoo/           
http://localhost:60081/pub/Mirrors/gentoo/
http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/        
http://localhost:60080/pub/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/   
     http://localhost:60082/mirror/rsync.gentoo.org/gentoo/
http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/        
ftp://pandemonium.tiscali.de/pub/gentoo/        
http://localhost:60083/pub/linux/distributions/gentoo/
http://distro.ibiblio.org/pub/linux/distributions/gentoo/         
http://distro.ibiblio.org/pub/linux/distributions/gentoo/        
ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/         
http://localhost:60084/ http://distfiles.gentoo.org/ "
LANG="de_DE.utf8"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/Gentoo/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/Gentoo/portage/tmp"
PORTDIR="/Gentoo/portage/tree"
PORTDIR_OVERLAY="/Gentoo/portage/local-tree/misc"
SYNC="rsync://localhost:10873/gentoo-portage"
USE="x86 X acl apache2 apm avi bash-completion berkdb bitmap-fonts cli crypt
cups dbus dlloader dri emboss encode fam firefox foomaticdb fortran gdbm gif
gnome gpm gstreamer gtk gtk2 hal imlib isdnlog jikes jpeg kde kdeenablefinal
kdehiddenvisibility libg++ libwww mad mikmod mmx motif mp3 mpeg ncurses nis nls
noaudio nptl nptlonly offensive ogg oss pam pcre pdflib perl png pppd python qt
qt3 qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl tcpd
tiff truetype truetype-fonts type1-fonts udev unicode vorbis xml xmms xorg xv
zlib elibc_glibc input_devices_evdev input_devices_keyboard input_devices_mouse
input_devices_void kernel_linux linguas_de userland_GNU video_cards_ati
video_cards_vesa video_cards_vga video_cards_none"
Unset:  CTARGET, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #1 From Jakub Moc (RETIRED) 2006-07-24 01:53:34 0000 -------
I'd better post a patch, already filed this bug once... ;)

<snip>
--- doxygen-1.4.7.ebuild.orig   2006-07-12 16:05:24.000000000 +0200
+++ doxygen-1.4.7.ebuild        2006-07-24 10:15:00.000000000 +0200
@@ -42,13 +42,13 @@
        export ECFLAGS="${CFLAGS}" ECXXFLAGS="${CXXFLAGS}"
ELDFLAGS="${LDFLAGS}"
        # set ./configure options (prefix, Qt based wizard, docdir)
        local my_conf="--prefix ${D}usr"
-       if use qt; then
+       if use qt3; then
            einfo "using QTDIR: '$QTDIR'."
            export LD_LIBRARY_PATH=${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}
            export LIBRARY_PATH=${QTDIR}/$(get_libdir):${LIBRARY_PATH}
            einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
            einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
-           ./configure ${my_conf} $(use_with qt doxywizard) || die 'configure
failed'
+           ./configure ${my_conf} $(use_with qt3 doxywizard) || die 'configure
failed'
        else
            ./configure ${my_conf} || die 'configure failed'
        fi
@@ -98,7 +98,7 @@
 pkg_postinst() {

        einfo
-       einfo "The USE flags qt, doc, and tetex will enable doxywizard, or"
+       einfo "The USE flags qt3, doc, and tetex will enable doxywizard, or"
        einfo "the html and pdf documentation, respectively.  For examples"
        einfo "and other goodies, see the source tarball.  For some example"
        einfo "output, run doxygen on the doxygen source using the Doxyfile"
</snip>

------- Comment #2 From Caleb Tennis 2006-07-28 05:29:55 0000 -------
should be fixed now.

First Last Prev Next    No search results available      Search page      Enter new bug